Firmware V1.1.2 Coming Friday - AVOID!

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#1


When we first got our hands on the UK iPhone back in September, it was already running the 1.1.1 firmware. The same firmware which helpfuly bricked a number of hacked iPhones Stateside upon later release. Now T3 is claiming that the UK iPhone -- set for release on November 9th -- is kicking 1.1.2 under the glass. Besides support for French and German keyboard layouts and characters, the other notable change is the shuttering of the TIFF exploit used to jailbreak and then install (and unlock) third party applications on the 1.1.1 iPhone and iPod touch. With the possibility that Apple might release 1.1.2 globally with the UK launch on Friday, consider yourselves warned. It's not like there's a lot of incentive for you to update anyway (remember, it's optional) what with the latest jailbreak simultaneously exploiting and then plugging the TIFF exploit to keep your browsing safe. For whatever it's worth, the February SDK isn't too far away -- perhaps you should wait 'till then to get right with The Steve.

Link to Story

http://www.engadget.com/2007/11/04/iphone-v1-1-2-breaks-jailbreak-coming-to-the-uk-on-friday
 
Last edited by a moderator:

Lincoln

New Member
Gold
Aug 11, 2007
6,100
4
0
#2
I don't mod, and TIFF exploit is a security flaw, so I'm upgrading.
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#3
I don't mod, and TIFF exploit is a security flaw, so I'm upgrading.
Even if i was a legit AT&T user i wouldn't upgrade....theres almost no dif apart from the patch for the exploit (which you can do on v1.1.1 anyway if u really want ;) )
 

MadDog31

New Member
Bronze
May 15, 2007
108
0
0
Wilmington, NC
www.bitterfans.com
#4
I'll be among the upgraders...I'm just waiting until March when the SDK rolls out...I love my iPhone as-is. But I'm not taking away from those that do jailbreak...go for it! To each his/her own. :)
 

beej

New Member
Bronze
Jul 31, 2007
131
0
0
#5
Even if i was a legit AT&T user i wouldn't upgrade....theres almost no dif apart from the patch for the exploit (which you can do on v1.1.1 anyway if u really want ;) )
If the phone's not modded or unlocked, what's the harm (assuming the update's not buggy)?
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#6
If the phone's not modded or unlocked, what's the harm (assuming the update's not buggy)?

The harm is that you're under Apples evil grip again LOL :laugh2:
 

RichR

Member
Bronze
Sep 30, 2007
181
0
16
#7
If the only update you get is the security issue, I'm not going to update. Come on Apple, if your going to update, atleast ad stuff worth an update. Maybe something as simple as... oh, I don't know.... MMS and video recording?!?!
 
Nov 1, 2007
14
0
0
Cyprus
#8
i am thinking to buy another iPhone from usa in these days! will it firmware 1.1.2? is this firmware can be unlocked?
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#9
i am thinking to buy another iPhone from usa in these days! will it firmware 1.1.2? is this firmware can be unlocked?
The firmware on all US phones is v1.1.1 at the moment, which can be unlocked.
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#11
when will be 1.1.2 iPhones available in USA stores?

It was quite some time (a few weeks) after v1.1.1 phones came out that Apple halted all shipments and made sure every phone was v1.1.1. ;)

Hopefully it will be the same situation.
 
Nov 1, 2007
14
0
0
Cyprus
#12
because i am afraid to buy an iPhone that cant be unlocked! there is no AT&T in my country.
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#13
because i am afraid to buy an iPhone that cant be unlocked! there is no AT&T in my country.

If you buy from the likes of eBay etc usually the seller tells you (or you can ask) which firmware is on it.

I understand mate, i am from the UK and there's no crappy AT&T here either and know you don't wanna spend money on a phone u can't use :laugh2:
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#14
If the only update you get is the security issue, I'm not going to update. Come on Apple, if your going to update, atleast ad stuff worth an update. Maybe something as simple as... oh, I don't know.... MMS and video recording?!?!

Yeah i agree with you. These are the tactics Sony used with the PSP.

They eventually learned people WILL NOT upgrade unless its for a killer feature. Even then, the hackers combined the firmware and got the best of both worlds! ;)

Hopefully the something similar could happen for the iPhone! :laugh2:
 
Nov 1, 2007
14
0
0
Cyprus
#15
exactly i am in same situation as you in! i unlocked my first iPhone with your help and now this second one is for my friend. really great phone!
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#16
exactly i am in same situation as you in! i unlocked my first iPhone with your help and now this second one is for my friend. really great phone!
Yeah, i love it too :laugh2:.

If you buy anytime this week and probably next week, then i would imagine they would still have v1.1.1 as they are already in stores. I'd have an estimate of within the next 3 - 4 weeks that Apple starts to roll this out on all new phones.
 

scandalex

Member
Silver
Sep 16, 2007
771
0
16
#17
I updated from 1.0.2 to 1.1.1 because I wanted the iTunes Music store. Until I discover or hear through the forums that the next update will offer us some substantial weight, then I am going to hold off on it.
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#18
I updated from 1.0.2 to 1.1.1 because I wanted the iTunes Music store. Until I discover or hear through the forums that the next update will offer us some substantial weight, then I am going to hold off on it.
The guys at T3 confirmed that all the changes were TIFF exploit fix (so u can't use the jailbreakme.com method) and a few bug fixes :mad::(.


I'm disappointed, i thought they would have brought something new for the European launches.....to make it that bit more special :laugh2:
 

Doby45

Member
Silver
Aug 21, 2007
543
0
16
Powder Springs, GA
#19
Sheeesh, I did the Tiff Exploit fix on my Jailbroke 1.1.1, why would I need Apples version of the same thing?
 

Stevonw

New Member
Silver
Sep 14, 2007
560
0
0
UK
#20
Sheeesh, I did the Tiff Exploit fix on my Jailbroke 1.1.1, why would I need Apples version of the same thing?

They were quick to patch the TIFF exploit :mad:.

Oh well, i suppose the community will find another method :laugh2: